Jump to content
Sign in to follow this  
dallas

redhat 9 -> kde3.2

Recommended Posts

Hi all...

 

Just want to write down my experience in upgrading my redhat 9 machine into a pretty kde3.2 machine :)

 

First of all my redhat 9 box is a standard rpm installation with no (significant) tarballs installed. It apt-gets it's rpms from freshrpms and the dag wieers collection. It's pretty much up2date.

 

The kde3.2 rpms I used were from ftp://apt.kde-redhat.org/apt/kde-redhat/9/RPMS.stable/

 

I am going to do this at home soon too, probably with the unstable ones.. just to push my luck ;)

 

 

redhat 9 needs a lot more rpms than is provided by kde-redhat.org. so off i went using rpm.pbone.net to upgrade and/or install other things. here's a list of pre-installation rpms I used.

 

hicolor-icon-theme-0.3-0.fdr.0.noarch.rpm libasound2-1.0.5-0_14.rh9.at.i386.rpm mathml-fonts-1.0-0.fdr.14.noarch.rpm jasper-1.701.0-0.fdr.2.rh90.i386.rpm libgsf-1.8.2-0.fdr.0.rh90.i386.rpm samba-2.2.8-1.i386.rpm lcms-1.12-0.fdr.0.rh90.i386.rpm libgsf-devel-1.8.2-0.fdr.0.rh90.i386.rpm themer-1.50-0.fdr.0.noarch.rpm

 

These are all kde-redhat.org except libasound, provided by atrpms.net; samba by samba.org and the mathml are straight from fedora.

 

Next install QT.

 

gtk-qt-engine-0.3-0.fdr.0.rh90.i386.rpm qt2-designer-2.3.2-0.fdr.0.rh90.i386.rpm qt2-static-2.3.2-0.fdr.0.rh90.i386.rpm qt2-2.3.2-0.fdr.0.rh90.i386.rpm qt2-devel-2.3.2-0.fdr.0.rh90.i386.rpm qt2-Xt-2.3.2-0.fdr.0.rh90.i386.rpm

 

(all of these were from kde-redhat.org)

 

Next libxml and libxslt

libxml2-2.6.9-0.99_10.rh9.at.i386.rpm libxml2-python-2.6.9-0.99_10.rh9.at.i386.rpm

libxml2-devel-2.6.9-0.99_10.rh9.at.i386.rpm

 

libxslt1-1.1.7-2_5.rh9.at.i386.rpm libxslt-devel-1.1.7-2_5.rh9.at.i386.rpm

libxslt-1.1.7-2_5.rh9.at.i386.rpm libxslt-python-1.1.7-2_5.rh9.at.i386.rpm

 

(these by atrpms.net)

 

 

Now onto kdecore. this is a lot :/

 

arts-1.2.3-1.0.rh90.kde.i386.rpm kdenetwork-devel-3.2.3-1.0.rh90.kde.i386.rpm

arts-devel-1.2.3-1.0.rh90.kde.i386.rpm kdesdk-3.2.3-1.1.rh90.kde.i386.rpm

aspell-0.50.3-0.fdr.2.rh90.i386.rpm kdesdk-devel-3.2.3-1.1.rh90.kde.i386.rpm

aspell-compat-0.33.7.1-0.ximian.2.i386.rpm kdevelop-3.0.3-1.0.rh90.kde.i386.rpm

aspell-devel-0.50.3-0.fdr.2.rh90.i386.rpm koffice-1.3.2-1.0.rh90.kde.i386.rpm

aspell-en-0.51-6.i386.rpm pspell-compat-0.12.2-0.ximian.4.i386.rpm

ghostscript-7.07-25.fdr.2.rh90.i386.rpm PyKDE-3.11.1-0.fdr.0.rh90.i386.rpm

ghostscript-devel-7.07-25.fdr.2.rh90.i386.rpm PyKDE-devel-3.11.1-0.fdr.0.rh90.i386.rpm

graphviz-1.12-0.fdr.2.rh90.i386.rpm PyQt-3.12-0.fdr.1.rh90.i386.rpm

gtk+-1.2.10-30.fdr.3.rh90.i386.rpm PyQt-devel-3.12-0.fdr.1.rh90.i386.rpm

gtk2-2.2.4-6.fdr.2.rh90.i386.rpm PyQt-examples-3.12-0.fdr.1.rh90.i386.rpm

gtk2-devel-2.2.4-6.fdr.2.rh90.i386.rpm PyQt-qscintilla-3.12-0.fdr.1.rh90.i386.rpm

gtk+-devel-1.2.10-30.fdr.3.rh90.i386.rpm qscintilla-1.3-0.fdr.0.rh90.i386.rpm

ImageMagick-5.5.7.15-0.fdr.2.rh90.i386.rpm qt-3.3.2-10.1.rh90.kde.i386.rpm

ImageMagick-c++-5.5.7.15-0.fdr.2.rh90.i386.rpm qt-designer-3.3.2-10.1.rh90.kde.i386.rpm

ImageMagick-c++-devel-5.5.7.15-0.fdr.2.rh90.i386.rpm qt-devel-3.3.2-10.1.rh90.kde.i386.rpm

ImageMagick-devel-5.5.7.15-0.fdr.2.rh90.i386.rpm qt-MySQL-3.3.2-10.1.rh90.kde.i386.rpm

ImageMagick-perl-5.5.7.15-0.fdr.2.rh90.i386.rpm qt-ODBC-3.3.2-10.1.rh90.kde.i386.rpm

kdeadmin-3.2.3-1.0.rh90.kde.i386.rpm qt-PostgreSQL-3.3.2-10.1.rh90.kde.i386.rpm

kdeartwork-3.2.3-1.1.rh90.kde.i386.rpm quanta-3.2.3-1.0.rh90.kde.i386.rpm

kdeartwork-icons-3.2.3-1.1.rh90.kde.i386.rpm redhat-artwork-0.96-1.1.rh90.kde.i386.rpm

kdebase-3.2.3-1.0.rh90.kde.i386.rpm redhat-menus-1.4.1-1.noarch.rpm

kdebase-devel-3.2.3-1.0.rh90.kde.i386.rpm sip-3.10.2-0.fdr.0.rh90.i386.rpm

kdelibs-3.2.3-1.0.rh90.kde.i386.rpm sip-devel-3.10.2-0.fdr.0.rh90.i386.rpm

kdelibs-devel-3.2.3-1.0.rh90.kde.i386.rpm superkaramba-0.33-0.fdr.1.rh90.i386.rpm

kdenetwork-3.2.3-1.0.rh90.kde.i386.rpm wv2-0.2.1-0.fdr.2.rh90.i386.rpm

 

If you were to drop koffice, you could also skip upgrading ghostscript, imagemagick, aspell, pspell and wv2. keeping koffice proved to be a real bitch :/

 

All these rpms by kde-redhat.org except aspell/pspell by ximian, redhat-* come from fedora afaik.

 

Then your installation should break. ld.so.conf does not get told there are new qt libraries, so add in /usr/lib/qt-3.3/lib and your apps (kdeinit) should find that. after that things are all fine.

a quick reboot will make kdm DoS your cpu. I have no idea why but it does not like new qt libraries.

Jul 14 15:19:17 sa kdm: :0[2692]: Abnormal termination of greeter for display :0, code 127, signal 0

 

weird shit.

 

Post installation rpms:

 

fribidi-0.10.4-0.fdr.0.rh90.i386.rpm kdepim-3.2.3-1.0.rh90.kde.i386.rpm

k3b-0.11.12-0.fdr.0.rh90.i386.rpm kdepim-devel-3.2.3-1.0.rh90.kde.i386.rpm

k3b-mp3-0.11.12-0.fdr.0.rh90.i386.rpm kdeutils-3.2.3-1.0.rh90.kde.i386.rpm

kdeaddons-3.2.3-1.0.rh90.kde.i386.rpm libmal-0.31-0.fdr.1.rh90.i386.rpm

kdegames-3.2.3-1.0.rh90.kde.i386.rpm musicman-0.11-0.fdr.0.rh90.i386.rpm

kdegames-devel-3.2.3-1.0.rh90.kde.i386.rpm scribus-1.1.7-0.fdr.0.rh90.i386.rpm

kdegraphics-3.2.3-1.0.rh90.kde.i386.rpm scribus-devel-1.1.7-0.fdr.0.rh90.i386.rpm

kdegraphics-devel-3.2.3-1.0.rh90.kde.i386.rpm thinkeramik-3.2.1-0.fdr.1.rh90.i386.rpm

 

(all by kde-redhat.org)

 

you should install these as it makes things all pretty. don't forget nuvola icons!!!! a must for kde3.2!!! things to watch out for are kdepim/kmail being buggy pieces of shit (im staying with evolution for now) and all gtk apps look so weird. I haven't upgraded this box to the new mozilla 1.6/galeon that apt has on offer. i like the old galeon 1.2.13

 

I have yet to install kdemultimedia and openoffice.org

they`re conflicting with so much shit and I'm lazy.

 

All in all this effort was a big pain in the ass but it's worth it, because now i can edit python in kdevelop3 !!!!! :D

anybody else who wants kde3.2 should upgrade to fedora2.

da!!as

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Sign in to follow this  

×
×
  • Create New...